Bug 1749132 - Too strict gir lib search pattern
Summary: Too strict gir lib search pattern
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Glib-Object-Introspection
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Berrangé
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-05 01:20 UTC by Vadim Raskhozhev
Modified: 2020-05-13 13:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
A less-strict template (2.34 KB, patch)
2019-09-05 01:20 UTC, Vadim Raskhozhev
no flags Details | Diff
A less-strict template (442 bytes, patch)
2019-09-05 01:57 UTC, Vadim Raskhozhev
no flags Details | Diff

Description Vadim Raskhozhev 2019-09-05 01:20:49 UTC
Created attachment 1611740 [details]
A less-strict template

Description of problem: perli11ndoc script from perl-Glib-Object-Introspection can either display a window with a drop-down list of available GIRs or, if launched with a GIR name, find the corresponding file, parse it and dump to stdout. The latter mode has, among other things, a check whether the given argument can be a valid GIR name. However the pattern to check against is too strict. For example, it filters out GdkX11, libxfce4panel, libxfce4ui, libxfce4util and PangoFT2


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install and of the following — pango-devel, xfce4-panel, libxfce4ui, gtk3-devel, libxfce4util
2. run perli11ndoc without arguments; ensure that the GIR matching the installed package is listed in a drop-down list
3. run perli11ndoc GdkX11 (or whatever name from that packages installed on step 1)

Actual results: "Cannot recognize the library name" on stderr

Expected results: contents of that GIR on stdout

Comment 1 Vadim Raskhozhev 2019-09-05 01:57:13 UTC
Created attachment 1611743 [details]
A less-strict template

Comment 2 Ben Cotton 2020-04-30 21:11:41 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Vadim Raskhozhev 2020-05-08 11:22:36 UTC
Still reproducible on F31 against GdkX11-3.0 (at least).

Comment 4 Vadim Raskhozhev 2020-05-13 13:52:55 UTC
Reproducible on F32 against, for example, libxfce4-2.0 as well.


Note You need to log in before you can comment on or make changes to this bug.